Bug 32375 - [Code cleanup] Inappropriate name of paramater "module" in hook.py#simpleHook methods
[Code cleanup] Inappropriate name of paramater "module" in hook.py#simpleHook...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.2
Other Linux
: P5 minor (vote)
: UCS 4.2-2-errata
Assigned To: Florian Best
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 15:10 CEST by Lukas Walter
Modified: 2017-11-01 13:49 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Cleanup
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Walter univentionstaff 2013-08-26 15:10:46 CEST
============================================
def hook_ldap_pre_create(self, module)
def hook_ldap_addlist(self, module, al = [])
def hook_ldap_post_create(self, module)
def hook_ldap_pre_modify(self, module)
def hook_ldap_modlist(self, module, ml = [])
                            ^^^^^^
============================================
Correctly, these functions don't get a reference to an UDM module passed, but a reference to an instance of it's object handler class.


Hence, for reasons of comprehensibility, the "module" parameter should be called "object" instead.

Should also be adapted in the developer documentation.
Comment 1 Alexander Kläser univentionstaff 2013-08-27 15:32:58 CEST
(In reply to Lukas Walter from comment #0)
> ...
> Hence, for reasons of comprehensibility, the "module" parameter should be
> called "object" instead.

Not exactly "object" as it is already defined in Python.
Comment 2 Florian Best univentionstaff 2017-10-27 15:44:54 CEST
ucs-test (7.0.23-75)
3c44d7624092 | Bug #32375: Merge branch 'fbest/32375' into 4.2-2
fc068f490bc1 | Bug #32375: fix argument name: module → obj

univention-directory-manager-modules (12.0.18-13)
3c44d7624092 | Bug #32375: Merge branch 'fbest/32375' into 4.2-2
fc068f490bc1 | Bug #32375: fix argument name: module → obj

univention-directory-manager-modules.yaml
3c44d7624092 | Bug #32375: Merge branch 'fbest/32375' into 4.2-2
155a1b334bd3 | YAML Bug #32375
Comment 3 Philipp Hahn univentionstaff 2017-10-30 11:23:50 CET
OK: errata-announce -V --only univention-directory-manager-modules.yaml
FIXED: univention-directory-manager-modules.yaml → 602919ea99
OK: Jenkins
OK: Code-Review
OK: fc068f490bc1
Comment 4 Arvid Requate univentionstaff 2017-11-01 13:49:18 CET
<http://errata.software-univention.de/ucs/4.2/206.html>